Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.events
Class FOPEventListenerProxy

    java.lang.Object
      org.apache.fop.events.FOPEventListenerProxy

All Implemented Interfaces:
  java.util.EventListener

    public class FOPEventListenerProxy

extends java.lang.Object
implements EventListener

EventListener proxy that inspects all events and adjusts severity levels where necessary. For validation events, it reacts on each event based on the strict validation setting in the user agent. For layout events, it reduces the default severity level if FOP signals that it can recover from the event.

Constructor Summary
`FOPEventListenerProxy(EventListener delegate, FOUserAgent userAgent)` Main constructor.

Method Summary
`void` | `processEvent(Event event)` This method is called for each event that is generated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FOPEventListenerProxy

    public FOPEventListenerProxy(EventListener delegate,
                                 FOUserAgent userAgent)

  Main constructor.

  Parameters:
    `delegate` - the event listener to delegate events to
    `userAgent` - the FO user agent

Method Detail

### processEvent

    public void processEvent(Event event)

  This method is called for each event that is generated. With the event's ID it is possible to react to certain events. Events can also simply be recorded and presented to a user. It is possible to throw an (unchecked) exception if the processing needs to be aborted because some special event occurred. This way the client can configure the behaviour of the observed application.

  Parameters:
    `event` - the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.